Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.primitive
Interface Ring

All Superinterfaces:
  Complex, Composite, CompositeCurve, Geometry, OrientableCurve, OrientablePrimitive, Primitive, TransfiniteSet

    @UML(identifier="GM_Ring",
         specification=ISO_19107)
    public interface Ring

extends CompositeCurve

Represent a single connected component of a surface boundary. It consists of a number of references to orientable curves connected in a cycle (an object whose boundary is empty). A `Ring` is structurally similar to a composite curve in that the end point of each orientable curve in the sequence is the start point of the next orientable curve in the sequence. Since the sequence is circular, there is no exception to this rule. Each ring, like all boundaries is a cycle and each ring is simple.

Even though each `Ring` is simple, the boundary need not be simple. The easiest case of this is where one of the interior rings of a surface is tangent to its exterior ring. Implementations may enforce stronger restrictions on the interaction of boundary elements.

Since:
  GeoAPI 1.0
Version:
  ISO 19107
See Also:
  `SurfaceBoundary`, `Shell`

Method Summary
`boolean` | `isSimple()` Always returns `true` since ring objects are simples.

Methods inherited from interface Composite
`getGenerators`

Methods inherited from interface Complex
`getElements, getSubComplexes, getSuperComplexes, isMaximal`

Methods inherited from interface OrientablePrimitive
`getOrientation, getPrimitive`

Methods inherited from interface Primitive
`getComplexes, getComposite, getContainedPrimitives, getContainingPrimitives, getProxy`

Methods inherited from interface Geometry
`clone, distance, getBoundary, getBuffer, getCentroid, getClosure, getConvexHull, getCoordinateDimension, getCoordinateReferenceSystem, getDimension, getDistance, getEnvelope, getMaximalComplex, getMbRegion, getPrecision, getRepresentativePoint, isCycle, isMutable, toImmutable, transform, transform`

Methods inherited from interface TransfiniteSet
`contains, contains, difference, equals, intersection, intersects, symmetricDifference, union`

Method Detail

### isSimple

    boolean isSimple()

  Always returns `true` since ring objects are simples.

  Specified by:
    `isSimple` in interface `Geometry`
  Returns:
    Always `true`.
  See Also:
    `Geometry.isCycle()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.